## org.gnu.gtk
Class MessageType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.MessageType

public class MessageType
extends Enum

The type of message to be displayed in a dialog.

Field Summary
`static MessageType` `ERROR` Fatal error message.
`static MessageType` `INFO` Informational message.
`static MessageType` `QUESTION` Question requiring a choice.
`static MessageType` `WARNING` Nonfatal warning message.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`MessageType` `and(MessageType other)`
`static MessageType` `intern(int value)`
`MessageType` `or(MessageType other)`
`boolean` `test(MessageType other)`
`MessageType` `xor(MessageType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO

    public static final MessageType INFO

  Informational message.

### WARNING

    public static final MessageType WARNING

  Nonfatal warning message.

### QUESTION

    public static final MessageType QUESTION

  Question requiring a choice.

### ERROR

    public static final MessageType ERROR

  Fatal error message.

Method Detail

### intern

    public static MessageType intern(int value)

### or

    public MessageType or(MessageType other)

### and

    public MessageType and(MessageType other)

### xor

    public MessageType xor(MessageType other)

### test

    public boolean test(MessageType other)